Bug 46161 - implemented setGroupColumnCollapsed() setGroupRowCollapsed()
Summary: implemented setGroupColumnCollapsed() setGroupRowCollapsed()
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: XSSF (show other bugs)
Version: 3.5-dev
Hardware: PC Mac OS X 10.4
: P2 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-06 10:41 UTC by Gisella Bronzetti
Modified: 2009-05-17 11:34 UTC (History)
0 users



Attachments
patch to XSSFSheet (31.86 KB, patch)
2008-11-06 10:41 UTC, Gisella Bronzetti
Details | Diff
new patch (33.59 KB, patch)
2008-11-11 06:45 UTC, Gisella Bronzetti
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gisella Bronzetti 2008-11-06 10:41:25 UTC
Created attachment 22834 [details]
patch to XSSFSheet

implemented setGroupColumnCollapsed() setGroupRowCollapsed() in XSSFSheet and fixed modifiedCellReference() method.

added test method and an example of how to group.
Comment 1 Gisella Bronzetti 2008-11-11 06:45:22 UTC
Created attachment 22854 [details]
new patch

added the Apache License in the example file. 
checked code identation
Comment 2 Nick Burch 2009-05-17 11:34:07 UTC
Thanks for this. I've had to make some changes to it before committing, as a few bits were using 1 based numbers when the method signature was 0 based, but hopefully it's all still working!

I've expanded out the tests a little more, so you might want to look at those, and make sure the full form is showing the results you'd expect (the results seem consistent, but I haven't used the API much, so I can't be sure they also make sense....)